GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "2b1de1f2-7150-401d-ac5c-f73862e360aa",
      "CompanyId": "e4bf744b-b6e4-4836-87fb-86e7ce9dda22",
      "TaskStatusTypeId": "a8596fa3-a2f2-4028-8952-04281078c65b",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "2ec820d7-7131-4372-b05a-f7fdddb72155",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "2b1de1f2-7150-401d-ac5c-f73862e360aa",
      "CompanyId": "e4bf744b-b6e4-4836-87fb-86e7ce9dda22",
      "TaskStatusTypeId": "a8596fa3-a2f2-4028-8952-04281078c65b",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "2ec820d7-7131-4372-b05a-f7fdddb72155",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}